import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ContainerFolderCreateFormComponent } from './container-folder-create-form.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';

describe('ContainerFolderCreateFormComponent', () => {
  let component: ContainerFolderCreateFormComponent;
  let fixture: ComponentFixture<ContainerFolderCreateFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ContainerFolderCreateFormComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, ReactiveFormsModule, MatSnackBarModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ContainerFolderCreateFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
